# !/bin/bash

# WRJoy - Pre-build file
# Warthog Robotics
# University of Sao Paulo
# https://www.wr.sc.usp.br
# Copyright 2011-2020 Warthog Robotics
# This file is part of WRJoy project


# WRJoy is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# WRJoy is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>.


# Runs qmake
if type -p qmake-qt5 > /dev/null;
    then
        qmake-qt5 $*
        echo ">> WRJoy: Pre-build complete with Qt 5!!"

    else
        if type -p qmake > /dev/null;
            then
                qmake $*
                echo ">> WRJoy: Pre-build complete!!"

            else
                echo ">> WRJoy: Could not generate Makefile!!"
        fi
fi
